#include <FastLED.h>

#define LED_PIN     5      // Pin where the LED strip is connected
#define NUM_LEDS    10     // Number of LEDs in the strip
#define LED_TYPE    WS2813 // Type of the LED strip
#define COLOR_ORDER GRB    // Color order for WS2812
CRGB leds[NUM_LEDS];

void setup() {
  // Initialize FastLED
  FastLED.addLeds<LED_TYPE, LED_PIN, COLOR_ORDER>(leds, NUM_LEDS);
  FastLED.setBrightness(100); // Adjust brightness (0-255)

  // Set a soft warm white color (RGB)
  CRGB warmWhite = CRGB(255, 215, 175); // A warm white color (warm tone)
  
  // Set all LEDs to the warm white color
  for (int i = 0; i < NUM_LEDS; i++) {
    leds[i] = warmWhite;
  }

  FastLED.show(); // Update LEDs
}

void loop() {
  // No need to loop for static color, just keep it steady
}
